@mixin text-overflow {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

/* media queries */
@mixin mobile {
  @media (max-width: #{$screen-sm - 1px}){
    @content
  }
}
@mixin tablet {
  @media (min-width: #{$screen-sm}) and (max-width: #{$screen-md - 1px}){
    @content
  }
}
@mixin devices-only {
  @media (max-width: #{$screen-md - 1px}){
    @content
  }
}
@mixin desktop-only {
  @media (min-width: #{$screen-md}){
    @content
  }
}
@mixin desktop {
  @media (min-width: #{$screen-md}) and (max-width: #{$screen-lg - 1px}) {
    @content
  }
}
@mixin desktop-lg {
  @media (min-width: #{$screen-lg}){
    @content
  }
}
